#include <stdio.h>

int main (){
    int n;
    scanf("%d\n", &n);
    int a[n+1];
    a[0]=0;
    for (int i=1; i<n+1; ++i) scanf("%d ", &a[i]);
    long money=0;
    int x;
    while(a[n]>0){
        x=a[n];
        money+=x;
        --n;
        for (int i=1; i<=n; ++i){
            if (a[i]==x) break;
            if (a[i]>0) --a[i];
    } }
    printf("%d ", money);
    return 0;
}